#!/usr/bin/make
PROG = singleFit

OBJS	= eqArray.o eq106.o eq105.o eq102.o eq101.o singleFit.o

LIBDIR	=
LIBS 	=

CC = g++

FFLAGS 	= -O3 -Wno-deprecated -Wall
LDFLAGS	=

all:	$(PROG)

.C.o:
	$(CC) -c $(FFLAGS) $<


$(PROG): $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIBS) $(LDFLAGS) $(LIBDIR)

clean:
	rm $(PROG); rm $(OBJS)

singleFit.o:	utils.C setStepSize.H lineMin.H
eq101.o:	eq101.H eqArray.H
eq102.o:	eq102.H eqArray.H
eq105.o:	eq105.H eqArray.H
eq106.o:	eq106.H eqArray.H
eqArray.o:	eqArray.H
